import { Icon } from '@iconify/react/dist/iconify.js';
import { useAtomValue } from 'jotai';
import { FC } from 'react';
import { Channels, ChannelState } from '../../context/EstimContext';
import { smallIconProps } from '../../icons/shared-props';
import styles from './ChannelStates.module.css';

const ChannelStates: FC<{ channel: Channels }> = ({ channel }) => {
  const chState = useAtomValue(ChannelState(channel));

  return (
    <div className={styles.channel_state}>
      <span>Ch {channel.toUpperCase()}</span>
      {chState.playing ? (
        <Icon icon="material-symbols-light:electric-bolt" {...smallIconProps} />
      ) : (
        <Icon icon="material-symbols-light:stop" {...smallIconProps} />
      )}
      <span>{chState.strength}</span>
      <Icon icon="material-symbols-light:arrow-upload-progress" {...smallIconProps} />
      <span>{chState.boostLevel}</span>
      {chState.playMode === 'shuffle' && (
        <Icon icon="material-symbols-light:shuffle" {...smallIconProps} />
      )}
      {chState.playMode === 'repeat' && (
        <Icon icon="material-symbols-light:repeat" {...smallIconProps} />
      )}
      {chState.playMode === 'repeat-one' && (
        <Icon icon="material-symbols-light:repeat-one" {...smallIconProps} />
      )}
    </div>
  );
};

export default ChannelStates;
